# Method Search.Queue.Base()->get_extra()

Method get_extra

  ``mapping` get_extra(`Standards.URI` `uri`)`

Returns

  Returns a mapping with the current state for the URI.

  ``"md5"` : `string``
  ``"recurse"` : `string`|`int``
  ``"stage"` : `string`|`int``
  ``"template"` : `string``

FIXME

  Currently this function always returns a `mapping(string:string)`, but this may change to the above in the future.